Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.tc
Class TypeCheck

    java.lang.Object
      javafe.tc.TypeCheck
          escjava.tc.TypeCheck

public class TypeCheck
extends TypeCheck

Field Summary

Fields inherited from class javafe.tc.TypeCheck
`inst`

Constructor Summary
`TypeCheck()` Creates a singleton instance of this class, and sets the `inst` field to this instance.

Method Summary
`boolean` | `canAccess(TypeSig from, TypeSig target, int modifiers, ModifierPragmaVec pmodifiers)` Override `TypeCheck.canAccess(javafe.tc.TypeSig, javafe.tc.TypeSig, int, javafe.ast.ModifierPragmaVec)` to account for `spec_public`.
`FlowInsensitiveChecks` | `makeFlowInsensitiveChecks()` Called to obtain the algorithm for performing name resolution and type checking.

Methods inherited from class javafe.tc.TypeCheck
`checkTypeDecl, checkTypeSig, getAllImplementsSet, getAllOverrides, getBranchLabel, getImplementsSet, getImplementsSet, getName, getOverrides, getRawSig, getRoutineName, getSig, getSig, getSignature, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeCheck

    public TypeCheck()

  Creates a singleton instance of this class, and sets the `inst` field to this instance. Only one instance should be created. Also initializes `PrepTypeDeclaration`.

Method Detail

### makeFlowInsensitiveChecks

    public FlowInsensitiveChecks makeFlowInsensitiveChecks()

  Called to obtain the algorithm for performing name resolution and type checking.

  Overrides:
    `makeFlowInsensitiveChecks` in class `TypeCheck`
  Returns:
    an instance of `escjava.tc.FlowInsensitiveChecks`.

### canAccess

    public boolean canAccess(TypeSig from,
                             TypeSig target,
                             int modifiers,
                             ModifierPragmaVec pmodifiers)

  Override `TypeCheck.canAccess(javafe.tc.TypeSig, javafe.tc.TypeSig, int, javafe.ast.ModifierPragmaVec)` to account for `spec_public`.

  Overrides:
    `canAccess` in class `TypeCheck`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage